package com.friday.tooldriver.dto.uipath.common;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ExpandEntity implements Serializable {
    private String value;
    private boolean count;

    @Override
    public String toString() {
        if (count) {
            value = value + "($count=true)";
        }
        return value;
    }
}
